Subject: Re: [PATCH] netfilter: per netns nf_conntrack_cachep

From: Patrick McHardy <[email-masked]>
Date: Thu, 04 Feb 2010 13:30:39 +0100

Alexey Dobriyan wrote:
> On Thu, Feb 4, 2010 at 2:25 PM, Patrick McHardy <[email-masked]> wrote:
>> Jon Masters wrote:
>>> On Wed, 2010-02-03 at 21:09 +0200, Alexey Dobriyan wrote:
>>>> On Wed, Feb 03, 2010 at 01:38:09PM -0500, Jon Masters wrote:
>>>>> *). Per namespace cacheing allocation (the cachep bits). We know it's
>>>>> still possible for weirdness to happen in the SLAB cache here.
>>>> Tiny race, needs reproducer.
>>> Maybe. I think it's worth fixing anyway.
>> Absolutely, I'll also apply Eric's patch with the %p fix for the
>> slab name.
> 
> This would show kernel pointers in userspace ;-)
> So, net->id is required.

I don't see the problem. But yes, it would be nicer to have an ID.